SGE_PASSWD(1)

NAME
sgepasswd - Modify the Grid Engine password file of Grid Engine

SYNTAX
sgepasswd [[ -D domain ] -d user ]

sgepasswd [ -D domain ] [ user ]

DESCRIPTION
sgepasswd modifies the Grid Engine password file

This file contains a list of usernames and their Microsoft Windows password in encrypted form. and on hosts running Microsoft Windows as operating systems use this information to start jobs for a certain user.

Each user can use the sgepasswd application to add a new entry for their own user account. (In fact, normal users can create an entry for any account, so the entry should be made initially, when the account is created.) It is also possible to change the stored password with sgepasswd if the user knows the old one.

The root user additionally has permission to change the password entries for other user accounts. Root can also delete existing entries.

The sgepasswd binary is only available on non-Windows hosts.

OPTIONS

-D domain
    By default sgepasswd will add/modify the current Unix username without a domain specification. This switch can be used to add a domain specification in front of the current user name. Consult your Microsoft Windows documentation to get more information about domain users.

-d user
    Only root can use this parameter to delete entries from the file.

-help
    Prints a listing of all options.

NOTE
Prevent relevant jobs running before a password is changed both with sgepasswd and in the Windows domain. Otherwise, if multiple jobs try to run on a Windows host as the user concerned, and are unable to access the right password, Windows' intrusion detection system may disable the account. sgepasswd and in the Windows domain.

SECURITY
This is a non-trivial program which needs to be setuid root, operating with various user-supplied input. It probably shouldn't be installed setuid if it is not needed to support Windows hosts.

See above concerning making initial entries.

ENVIRONMENT VARIABLES

SGE_CERTFILE
    Specifies the location of the public key file. By default sgepasswd will use $SGE_ROOT/$SGE_CELL/common/sgeCA/certs/cert.pem.

SGE_KEYFILE
    If set, specifies the location of the private key file. Default is /var/lib/sgeCA/port$SGE_QMASTER_PORT/$SGE_CELL/private/key.pem.

SGE_RANDFILE
    If set, specifies the location of the seed used to create encrypted versions of user passwords. Default is /var/lib/sgeCA/port${SGE_QMASTER_PORT}/${SGE_CELL}/private/rand.seed.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.